Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ID3D12DeviceChildVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions
| BEGIN_INTERFACE (ID3D12DeviceChild *This, REFIID riid, _COM_Outptr_ void **ppvObject)
ID3D12DeviceChild _In_ REFGUID _In_ UINT | _In_reads_bytes_opt_ (DataSize) const void *pData)

## Public Attributes
ID3D12DeviceChild * | This
ID3D12DeviceChild _In_ REFGUID | guid
ID3D12DeviceChild _In_ REFGUID _Inout_ UINT * | pDataSize
ID3D12DeviceChild _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void * | pData
ID3D12DeviceChild _In_ REFGUID _In_ UINT | DataSize
ID3D12DeviceChild _In_ REFGUID _In_opt_ const IUnknown * | pData
ID3D12DeviceChild _In_z_ LPCWSTR | Name
ID3D12DeviceChild REFIID | riid
ID3D12DeviceChild REFIID _COM_Outptr_opt_ void ** | ppvDevice

## Detailed Description

Definition at line 1558 of file mini_d3d12.h.

## Member Function Documentation

## ◆ BEGIN_INTERFACE()

ID3D12DeviceChildVtbl::BEGIN_INTERFACE | ( | ID3D12DeviceChild * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject
| ) |  |

## ◆ _In_reads_bytes_opt_()

ID3D12DeviceChild _In_ REFGUID _In_ UINT ID3D12DeviceChildVtbl::_In_reads_bytes_opt_ | ( | DataSize |  | ) | const

## Member Data Documentation

## ◆ This

ID3D12DeviceChild * ID3D12DeviceChildVtbl::This

Definition at line 1569 of file mini_d3d12.h.

## ◆ guid

ID3D12DeviceChild _In_ REFGUID ID3D12DeviceChildVtbl::guid

Definition at line 1578 of file mini_d3d12.h.

## ◆ pDataSize

ID3D12DeviceChild _In_ REFGUID _Inout_ UINT* ID3D12DeviceChildVtbl::pDataSize

Definition at line 1579 of file mini_d3d12.h.

## ◆ pData [1/2]

ID3D12DeviceChild _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void* ID3D12DeviceChildVtbl::pData

Definition at line 1580 of file mini_d3d12.h.

## ◆ DataSize

ID3D12DeviceChild _In_ REFGUID _In_ UINT ID3D12DeviceChildVtbl::DataSize

Definition at line 1586 of file mini_d3d12.h.

## ◆ pData [2/2]

ID3D12DeviceChild _In_ REFGUID _In_opt_ const IUnknown* ID3D12DeviceChildVtbl::pData

Definition at line 1593 of file mini_d3d12.h.

## ◆ Name

ID3D12DeviceChild _In_z_ LPCWSTR ID3D12DeviceChildVtbl::Name

Definition at line 1598 of file mini_d3d12.h.

## ◆ riid

ID3D12DeviceChild REFIID ID3D12DeviceChildVtbl::riid

Definition at line 1603 of file mini_d3d12.h.

## ◆ ppvDevice

ID3D12DeviceChild REFIID _COM_Outptr_opt_ void** ID3D12DeviceChildVtbl::ppvDevice

Definition at line 1604 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h